package com.bonus.core.account.v3.app.vo;

import io.swagger.annotations.ApiModelProperty;

public class AppRechargeResultVO {
   @ApiModelProperty("账户交易id")
   private Long tradeId;
   @ApiModelProperty("支付状态 1-待支付 2-支付中 3-支付成功 4-支付失败 5-支付关闭")
   private Integer payState;
   @ApiModelProperty("失败原因")
   private String remark;

   public Long getTradeId() {
      return this.tradeId;
   }

   public Integer getPayState() {
      return this.payState;
   }

   public String getRemark() {
      return this.remark;
   }

   public AppRechargeResultVO setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
      return this;
   }

   public AppRechargeResultVO setPayState(final Integer payState) {
      this.payState = payState;
      return this;
   }

   public AppRechargeResultVO setRemark(final String remark) {
      this.remark = remark;
      return this;
   }
}
